Ogre::D3D9Texture::TextureResources Struct Reference

`#include <OgreD3D9Texture.h>`

List of all members.

## Public Attributes

IDirect3DTexture9 * | pNormTex
| 1D/2D normal texture pointer
IDirect3DCubeTexture9 * | pCubeTex
| cubic texture pointer
IDirect3DVolumeTexture9 * | pVolumeTex
| Volume texture.
IDirect3DBaseTexture9 * | pBaseTex
| actual texture pointer
IDirect3DSurface9 * | pFSAASurface
| Optional FSAA surface.

## Detailed Description

Definition at line 44 of file OgreD3D9Texture.h.

## Member Data Documentation

IDirect3DBaseTexture9* Ogre::D3D9Texture::TextureResources::pBaseTex

actual texture pointer

Definition at line 53 of file OgreD3D9Texture.h.

IDirect3DCubeTexture9* Ogre::D3D9Texture::TextureResources::pCubeTex

cubic texture pointer

Definition at line 49 of file OgreD3D9Texture.h.

IDirect3DSurface9* Ogre::D3D9Texture::TextureResources::pFSAASurface

Optional FSAA surface.

Definition at line 55 of file OgreD3D9Texture.h.

IDirect3DTexture9* Ogre::D3D9Texture::TextureResources::pNormTex

1D/2D normal texture pointer

Definition at line 47 of file OgreD3D9Texture.h.

IDirect3DVolumeTexture9* Ogre::D3D9Texture::TextureResources::pVolumeTex

Volume texture.

Definition at line 51 of file OgreD3D9Texture.h.

The documentation for this struct was generated from the following file:

- OgreD3D9Texture.h

Copyright © 2012 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Sun Sep 2 2012 07:27:49